Query Item Properties
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/items/{itemId}/properties \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/items/{itemId}/properties"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/items/{itemId}/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ItemId": 123,
"Properties": [
{
"PropertyId": 123,
"PropertyValueId": 123
}
]
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Query Item Properties
Query all properties for a specific item
GET
/
v1
/
items
/
{itemId}
/
properties
Query Item Properties
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the item that the property values belong to.
Was this page helpful?
⌘I